> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# update order



## OpenAPI

````yaml https://integration.teceo.co/aos patch /v1/orders/{orderId}
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/orders/{orderId}:
    patch:
      tags:
        - 'Orders:'
      summary: update order
      operationId: OrderController_updateOrder_v1
      parameters:
        - name: orderId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrderDTO'
      responses:
        '200':
          description: update order
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandIntegratorListOrderDTO'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
        '404':
          description: >-
            client error response code indicates that the server can't find the
            requested resource
      security:
        - ApiKey: []
components:
  schemas:
    UpdateOrderDTO:
      type: object
      properties:
        archived:
          type: boolean
    BrandIntegratorListOrderDTO:
      type: object
      properties:
        id:
          type: string
          description: order id
        code:
          type: string
          description: order sequential code
        externalCode:
          type: string
          nullable: true
          description: external code
        deliveryWindowsType:
          type: string
          enum:
            - BY_PRODUCT
            - BY_ORDER
          description: indicates if order has delivery windows by order or product
        customerId:
          type: string
          nullable: true
          description: customer id
        customerCode:
          type: string
          nullable: true
          description: customer code
        salesRepresentativeCode:
          type: string
          nullable: true
          description: sales representative code
        sellerEmail:
          type: string
          nullable: true
          description: seller email
        status:
          type: string
          enum:
            - DRAFT
            - IN_REVISION
            - ON_APPROVAL
            - APPROVED
            - SENT
            - CANCELED
            - ABANDONED
            - REJECTED
            - SUGGESTED
          description: order status
        type:
          type: string
          enum:
            - PRE_ORDER
            - READY_FOR_DELIVERY
            - BOTH
          description: order type
        subTotal:
          type: number
          description: order subtotal
        totalDiscount:
          type: number
          description: order discount
        totalCharges:
          type: number
          description: order total charges
        totalShippingCostValue:
          type: number
          description: order total shipping cost
        totalValue:
          type: number
          description: order total value
        totalPieces:
          type: number
          description: 'order total pieces: sum of all pieces'
        totalItems:
          type: number
          description: >-
            order total items: its calculated by group of [product - color -
            availability - delivery window]
        synchronizedStatus:
          type: string
          enum:
            - SUCCESS
            - SUCCESS_RESET
            - ERROR
            - NOT_SYNCHRONIZED
            - PROCESSING
            - PROCESSING_AFTER_RESET
            - SUCCESS_WITH_PAYMENT_ERROR
          description: order synchronization status
        createdAt:
          type: string
          description: order creation date
        updatedAt:
          type: string
          description: order last update date
        maxChangedDate:
          type: string
          description: order or relations max changed date
        observation:
          type: string
          nullable: true
          description: order description
        archived:
          type: boolean
          description: order archived
        priceComposition:
          description: price composition
          type: array
          items:
            $ref: '#/components/schemas/PriceCompositionItemDTO'
        consultantCode:
          type: string
          nullable: true
          description: consultant code
        consultantName:
          type: string
          nullable: true
          description: consultant name
        priceTableCode:
          type: string
          nullable: true
          description: price table code
      required:
        - id
        - code
        - externalCode
        - deliveryWindowsType
        - customerId
        - customerCode
        - salesRepresentativeCode
        - status
        - type
        - subTotal
        - totalDiscount
        - totalCharges
        - totalShippingCostValue
        - totalValue
        - totalPieces
        - totalItems
        - synchronizedStatus
        - createdAt
        - updatedAt
        - maxChangedDate
        - observation
        - archived
        - priceTableCode
    PriceCompositionItemDTO:
      type: object
      properties:
        id:
          type: string
          description: price composition id
        label:
          type: string
          description: price composition label
        price:
          type: number
          description: price composition value
      required:
        - id
        - label
        - price
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````